## GstRtmpLocationHandler

    GInterface
        ╰──GstRtmpLocationHandler

### Properties

#### application

    “application” gchararray

RTMP application path

Flags : Read / Write

Default value : live

#### authmod

    “authmod” Rtmp-authmod *

RTMP authorization mode

Flags : Read / Write / Construct

Default value : auto (1)

#### flash-version

    “flash-version” gchararray

Flash version reported to the server

Flags : Read / Write / Construct

Default value : NULL

#### host

    “host” gchararray

RTMP server host name

Flags : Read / Write

Default value : localhost

#### location

    “location” gchararray

Location of RTMP stream to access

Flags : Read / Write / Construct

Default value : rtmp://localhost/live/myStream

#### password

    “password” gchararray

RTMP authorization password

Flags : Read / Write

Default value : NULL

#### port

    “port” gint

RTMP server port

Flags : Read / Write

Default value : 1935

#### scheme

    “scheme” Rtmp-scheme *

RTMP connection scheme

Flags : Read / Write

Default value : rtmp (0)

#### secure-token

    “secure-token” gchararray

RTMP authorization token

Flags : Read / Write / Construct

Default value : NULL

#### stream

    “stream” gchararray

RTMP stream path

Flags : Read / Write

Default value : myStream

#### timeout

    “timeout” guint

RTMP timeout in seconds

Flags : Read / Write / Construct

Default value : 5

#### tls-validation-flags

    “tls-validation-flags” GTlsCertificateFlags *

TLS validation flags to use

Flags : Read / Write / Construct

Default value : validate-all

#### username

    “username” gchararray

RTMP authorization user name

Flags : Read / Write

Default value : NULL

### Named constants

#### Rtmp-authmod

##### Members

`none` (0) – Attempt no authentication
`auto` (1) – Automatically switch to server-suggested method
`adobe` (2) – Adobe-style authentication
`llnw` (3) – Limelight Networks authentication

#### Rtmp-scheme

##### Members

`rtmp` (0) – GST_RTMP_SCHEME_RTMP
`rtmps` (1) – GST_RTMP_SCHEME_RTMPS

The results of the search are